PendingRangeMaps (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.locator

## Class PendingRangeMaps

- java.lang.Object
- - org.apache.cassandra.locator.PendingRangeMaps

- All Implemented Interfaces:
    java.lang.Iterable<java.util.Map.Entry<Range<Token>,java.util.List<java.net.InetAddress>>>

      public class PendingRangeMaps
      extends java.lang.Object
      implements java.lang.Iterable<java.util.Map.Entry<Range<Token>,java.util.List<java.net.InetAddress>>>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PendingRangeMaps()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPendingRange(Range<Token> range, java.net.InetAddress address)`
    `java.util.Iterator<java.util.Map.Entry<Range<Token>,java.util.List<java.net.InetAddress>>>` | `iterator()`
    `java.util.Collection<java.net.InetAddress>` | `pendingEndpointsFor(Token token)`
    `java.lang.String` | `printPendingRanges()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Constructor Detail

    - #### PendingRangeMaps

          public PendingRangeMaps()

  - ### Method Detail

    - #### addPendingRange

          public void addPendingRange(Range<Token> range,
                                      java.net.InetAddress address)

    - #### pendingEndpointsFor

          public java.util.Collection<java.net.InetAddress> pendingEndpointsFor(Token token)

    - #### printPendingRanges

          public java.lang.String printPendingRanges()

    - #### iterator

          public java.util.Iterator<java.util.Map.Entry<Range<Token>,java.util.List<java.net.InetAddress>>> iterator()

      Specified by:
        `iterator` in interface `java.lang.Iterable<java.util.Map.Entry<Range<Token>,java.util.List<java.net.InetAddress>>>`

Copyright © 2018 The Apache Software Foundation